gstreamermm: Gst::MessageCustom Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Gst::MessageCustom Class Reference

A custom message. More...

Inheritance diagram for Gst::MessageCustom:
[legend]
Collaboration diagram for Gst::MessageCustom:
[legend]

List of all members.

## Public Member Functions
| MessageCustom (GstMessage* castitem)
## Static Public Member Functions
static Glib::RefPtr< Gst::Message > | create (MessageType type, const Glib::RefPtr< Gst::Object >& src, Gst::Structure& structure)
| Create a new custom-typed message.
static Glib::RefPtr< Gst::Message > | create (MessageType type, const Glib::RefPtr< Gst::Object >& src)
| Create a new custom-typed message.

## Detailed Description

A custom message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageCustom::MessageCustom | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageCustom::create | ( | MessageType | type,
|  | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::Structure& | structure
| ) |  | `[static]`

Create a new custom-typed message.

This can be used for anything not handled by other message-specific functions to pass a message to the app.

Parameters:

  type | The Gst::MessageType to distinguish messages.
  src | The object originating the message.
  structure | The Gst::Structure for the message. The message will take a copy of the structure.

Returns:
  The new message. MT safe.

static Glib::RefPtr<Gst::Message> Gst::MessageCustom::create | ( | MessageType | type,
|  | const Glib::RefPtr< Gst::Object >& | src
| ) |  | `[static]`

Create a new custom-typed message.

This can be used for anything not handled by other message-specific functions to pass a message to the app. No Gst::Structure is needed.

Parameters:

  type | The Gst::MessageType to distinguish messages.
  src | The object originating the message.

Returns:
  The new message. MT safe.

The documentation for this class was generated from the following file:

- gstreamermm/message.h